{
  description = "CL Pitch";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs @ {flake-parts, ...}:
    flake-parts.lib.mkFlake {inherit inputs;}
    {
      imports = [
      ];
      systems = ["x86_64-linux" "aarch64-darwin"];
      perSystem = {
        config,
        self',
        inputs',
        pkgs,
        system,
        ...
      }:
      {
        devShells.default = let
            build = pkgs.writeShellScriptBin "build"
            ''
              pandoc -t revealjs \
                --from markdown+yaml_metadata_block+link_attributes \
                -H src/header.html \
                -o public/index.html \
                -s \
                src/index.md
              '';
            serve = pkgs.writeShellScriptBin "serve" 
            ''
              caddy file-server --listen :7777 --root ./public
            '';
            deploy = pkgs.writeShellScriptBin "deploy" 
            ''
              echo "no yet implemented"
              exit 1
            '';
          in pkgs.mkShell {
          shellHook = ''
            echo 1>&2 "Welcome to the development shell!"
          '';
          name = "glossary-devshell";
          packages = [
            pkgs.pandoc
            pkgs.caddy
            build
            serve
            deploy
          ];
        };
      };
      flake = {};
    };
}
